Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

For the 1st time i know there is a good news that we can use the newest skype for ubuntu so i need to remove the latest ubuntu to get it install safety but while i try to uninstall skype via terminal all i have is

> santos@santos:~$ sudo apt-get remove skype [sudo] password for santos:
> Reading package lists... Done Building dependency tree        Reading
> state information... Done Package skype is not installed, so not
> removed 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> 3 not fully installed or removed. After this operation, 0 B of
> additional disk space will be used. Setting up virtualbox
> (4.1.12-dfsg-2ubuntu0.2) ... Traceback (most recent call last):   File
> "/usr/bin/pycentral", line 2372, in <module>
>     main()   File "/usr/bin/pycentral", line 2366, in main
>     rv = action.run(global_options)   File "/usr/bin/pycentral", line 1529, in run
>     self.options.exclude, byte_compile_default=True)   File "/usr/bin/pycentral", line 1097, in install
>     rt.byte_compile(linked_files, bc_option, exclude_regex, ignore_errors)   File "/usr/bin/pycentral", line 231, in byte_compile
>     shell=False, stdin=subprocess.PIPE)   File "/usr/lib/python2.7/subprocess.py", line 679, in __init__
>     errread, errwrite)   File "/usr/lib/python2.7/subprocess.py", line 1249, in _execute_child
>     raise child_exception OSError: [Errno 2] No such file or directory dpkg: error processing virtualbox (--configure):  subprocess installed
> post-installation script returned error exit status 1 dpkg: dependency
> problems prevent configuration of virtualbox-qt:  virtualbox-qt
> depends on virtualbox (= 4.1.12-dfsg-2ubuntu0.2); however:   Package
> virtualbox is not configured yet. dpkg: error processing virtualbox-qt
> (--configure):  dependency problems - leaving unconfigured dpkg:
> dependency problems prevent configuration of virtualbox-dkms: 
> virtualbox-dkms depends on virtualbox (>= 4.1.12-dfsg-2ubuntu0.2);
> however:   Package virtualbox is not configured yet. dpkg: error
> processing virtualbox-dkms (--configure):  dependency problems -
> leaving unconfigured No apport report written because the error
> message indicates its a followup error from a previous failure.
>                           No apport report written because the error message indicates its a followup error from a previous failure.
>                                                     Errors were encountered while processing:  virtualbox  virtualbox-qt 
> virtualbox-dkms E: Sub-process /usr/bin/dpkg returned an error code
> (1) santos@santos:~$

what was this all about and why it related to virtualbox .. well i have it but long time not using it until this time.

share|improve this question
add comment

1 Answer

I'm not sure why you want or need to remove the old skype to install the new one, but anyway the problem you have here is nothing to do with skype. Your virtualbox installation is in some way broken, and that is breaking the packaging system.

You need to fix the virtualbox problem first. If you aren't using virtualbox the easiest thing is to remove it:

$ sudo apt-get remove virtualbox

Otherwise try forcing a reinstall to re-run the post install scripts:

$ sudo apt-get update
$ sudo apt-get install --reinstall virtualbox

That should hopefully clean virtualbox.

After that you can remove skype if needed in the way you were trying before.

share|improve this answer
    
thanks man you help me. –  santosamaru Nov 15 '12 at 18:08
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.